Subject: Re: bug: autostash is lost after aborted rebase

From: Matthieu Moy <[email-masked]>
Date: Mon, 19 May 2014 11:16:34 +0200

[ Cc-ing Ramkumar ]

Karen Etheridge <[email-masked]> writes:

> scenario: 
> - edit some tracked files; do not add them to the index
> - "git config rebase.autostash true"
> - "git rebase -i HEAD~3" (an autostash will be created)
> - delete the entire buffer and save/exit the editor - this will abort the
>   rebase
>
> poof, the autostash is gone (it is not reapplied) -- it must be explicitly
> applied again via the SHA that was printed earlier.

Indeed. Confirmed, even with pu (I thought I remembered seeing a fix on
the list, but I must have mixed up with something else).

-- 
Matthieu Moy
http://www-verimag.imag.fr/~moy/